.product-primary {
    margin-bottom: rem(40);

    @include media-breakpoint-up(lg) {
        margin-bottom: rem(60);
        display: flex;
        justify-content: space-between;
    }
}

.product-media {
    margin-bottom: rem(50);

    &__gallery {
        margin-bottom: rem(30);
    }

    &__item {
        display: flex;
        justify-content: center;
    }

    &__image {
        width: 100%;
        max-width: rem(536);
    }

    &__thumbs {
        margin: 0 rem(-10);

        .swiper-slide {
            padding: rem(10);
            opacity: .4;
        }

        .swiper-slide-thumb-active {
            opacity: 1;
        }
    }

    &__thumb {
        cursor: pointer;
        display: block;
        overflow: hidden;
        border-radius: 5px;
        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.2);
    }

    &__nav {
        display: none;
    }

    @include media-breakpoint-up(lg) {
        margin: 0;
        width: calc(100% - 464px);
        padding-right: rem(30);
        flex-shrink: 0;
        display: flex;
        flex-direction: column;

        &__gallery {
            flex-grow: 1;
        }

        &__item {
            padding-top: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: 0;

        &__thumbs {

            .swiper-slide {
                width: rem(138);
            }
        }

        &__nav {
            top: calc(50% - 30px);
            position: absolute;
        }
    }
}

.product-content {
    padding: rem(24) rem(16);
    background: #F5F5F5;
    border-radius: 20px;

    &__group {
        margin-bottom: rem(30);
    }

    &__label {
        display: block;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(26);
    }

    &__text {
        display: block;
        margin-top: rem(4);
    }

    &__main {
        margin-top: rem(24);
    }

    &__terms {
        margin: 0;
        padding: 0;
        list-style: none;
        display: grid;
        font-size: rem(14);
        line-height: rem(20);
        white-space: nowrap;
        grid-row: rem(14);
        grid-row-gap: rem(15);
        grid-column-gap: rem(15);
        grid-template-columns: 1fr 1fr;

        .radio-button {
            width: 100%;
        }
    }

    &__quantity {
        text-align: center;
        margin-bottom: rem(30);
    }

    &__button {
       text-align: center;

        .btn {
            font-weight: 600;
        }
    }

    &__status {
        text-align: center;
        margin-top: rem(12);
    }

    &__button {

    }

    @include media-breakpoint-up(md) {
        padding: rem(24) rem(24);

        &__terms {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {
        width: 464px;
        flex-shrink: 0;
    }
}

.product-info {
    padding: rem(24);
    font-size: rem(14);
    line-height: rem(20);
    background: var(--color-white);

    &__header {
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(26);
        margin-bottom: rem(20);
    }

    &__content {
        display: grid;
        grid-row-gap: rem(10);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        padding-left: rem(24);
        background: url("../img/check.svg") 0 50% no-repeat;
    }
}

.radio-button {
    cursor: pointer;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;

    &__input,
    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        font-size: 0;
        line-height: 0;
        visibility: hidden;
        position: absolute;
    }

    &__label {
        color: #333;
        width: 100%;
        height: rem(40);
        padding: rem(10);
        border-radius: 6px;
        background: $white;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    input:checked + .radio-button__label {
        color: $white;
        background: var(--color-primary);
    }
}

.inline-switcher {
    font-size: 0;
    line-height: 0;

    &__values {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
        position: relative;

        &:before {
            top: calc(50% - 4px);
            left: 10px;
            right: 10px;
            height: 8px;
            content: '';
            z-index: 1;
            background: var(--color-primary);
            position: absolute;
        }

        > * {
            z-index: 10;
            position: relative;
        }
    }

    &__labels {
        padding-top: rem(10);
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(17);
        white-space: nowrap;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    @include media-breakpoint-up(md) {

        &__labels {
            font-size: rem(16);
            line-height: rem(19);
        }

        &__values {
            &:before {

            }
        }
    }
}

.quantity-group {
    display: flex;
    align-items: center;
    justify-content: center;

    &__label {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(40);
        margin-right: rem(20);
        white-space: nowrap;
    }
}

.w-100 {
    display: block;
    width: 100% !important;
}
